> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Records

> Delete records by IDs.

#### Recipes

<AccordionGroup>
  <Accordion title="Delete many records">
    <Steps>
      <Step title="1. Set records IDs">
        Set IDs of records that should be deleted via comma.

        ```curl {3} theme={null}
        curl -X DELETE \
        -H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
        "https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
        ```
      </Step>

      <Step title="2. As a result, the API returns a '200 OK' status code which implies that records were deleted.">
        ```curl theme={null}
        200 OK
        ```
      </Step>
    </Steps>
  </Accordion>

  <Accordion title="Delete one record">
    <Steps>
      <Step title="1. Set a record ID">
        Set the ID of the record that should be deleted.

        ```curl {3} theme={null}
        curl -X DELETE \
        -H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
        "https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
        ```
      </Step>

      <Step title="2. As a result, the API returns a '200 OK' status code which implies that a record was deleted.">
        ```curl theme={null}
        200 OK
        ```
      </Step>
    </Steps>
  </Accordion>

  <Accordion title="Delete many records with API key">
    <Steps>
      <Step title="1. Use 'Authorization' header to pass API key">
        ```curl {2} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        "https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
        ```
      </Step>

      <Step title="2. Set records IDs">
        Set IDs of records that should be deleted via comma.

        ```curl {3} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        "https://api.quickblox.com/data/MyScoreTable/5d87d328a28f9a545f1cb558,51c9ab92535c12951b0032dd,5d87d354a28f9a59df1cb557.json"
        ```
      </Step>

      <Step title="3. As a result, the API returns a '200 OK' status code which implies that records were deleted.">
        ```curl theme={null}
        200 OK
        ```
      </Step>
    </Steps>
  </Accordion>

  <Accordion title="Delete one record with API key">
    <Steps>
      <Step title="1. Use 'Authorization' header to pass API key">
        ```curl {2} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        "https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
        ```
      </Step>

      <Step title="2. Set a record ID">
        Set the ID of the record that should be deleted.

        ```curl {3} theme={null}
        curl -X DELETE \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        "https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json"
        ```
      </Step>

      <Step title="3. As a result, the API returns a '200 OK' status code which implies that a record was deleted.">
        ```curl theme={null}
        200 OK
        ```
      </Step>
    </Steps>
  </Accordion>
</AccordionGroup>

#### Path Parameters

<ParamField path="class_name" type="string" required>
  Custom object class name.
</ParamField>

<ParamField path="custom_object_record_id" type="string" required>
  ID of the custom object record. Generated automatically by the server after record creation.
</ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user or application session token. See [Authentication](/reference/authentication) page to learn more about session tokens. Must be used either QB-Token or Authorization. </ParamField>

<ParamField header="Authorization" type="string" default="ApiKey {your_api_key}">
  API key from Dashboard. Expected format: `ApiKey {your_api_key}`. Must be used
  either QB-Token or Authorization.
</ParamField>

<ParamField header="On-Behalf-Of" type="string">
  User ID. The user ID of the user on whose behalf the request is being made.
</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE \
  -H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
  https://api.quickblox.com/data/ScoreTable/5d87d2f4a28f9a48631cb55b.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {}
  ```
</ResponseExample>
